//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/god4j
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : god4j@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.god4j;

import javax.swing.JScrollPane;

import org.huihoo.god4j.tree.NodeExplorer;

/**
 * @author reic
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class ExplorerPanel  extends JScrollPane 
{
	private NodeExplorer nodeTree;
	
	public ExplorerPanel()
	{
		nodeTree=new NodeExplorer();
		getViewport().add(nodeTree);
	}
	
	public NodeExplorer getNodeExplorer()
	{
		return nodeTree;
	}
	
	public void loadDocument()
	{
		nodeTree.loadDocument();
	}
}
